// var socket = new WebSocket("ws://localhost:3000");
var socket = "";// new WebSocket("ws://192.168.43.34:3000");
var ID = "";

function iniciarServidor() {
    socket.onopen = () => {
        //socket.send('hola servidor te hablo desde chrome');
    };

    socket.onmessage = event => {
        var recepcion = event.data.toString();
        var accion = recepcion.substr(0, 1);
        var id = recepcion.substr(1, 9);
        var mensaje = recepcion.substr(10, recepcion.length - 10);

        if (accion == "I") {
            //console.log("ID: " + id);
            if (ID == "") ID = id;
        } else if (accion == "A") {
            //console.log('=>Acción: ' + mensaje);
            var datos = mensaje.split("|");
            var subaccion = datos[1];

            if (subaccion == "LISTAR MESAS") {
                var pisito = datos[2];
                var mesaActual = datos[3];
                MES_CodigoSocket = mesaActual;

                Piso_Click(pisito);
            }
        } else if (accion == "T") {
            //console.log("T: " + mensaje);
        }
    };
}

function btnEnviarListadoMesas(codMesa) {
    //if (socket.readyState == 1) {
    //   socket.send(
    //        "A" + ID + "|LISTAR MESAS|" + _PisoSeleccionado + "|" + codMesa
    //    );
    //} else {
    //    //alert("Recargue la página para volver a intentarlo");
    //}
}

//iniciarServidor();
//verificacionSocket();

function verificacionSocket() {  
    if (socket.readyState != 1){        
        socket = new WebSocket("ws://192.168.43.34:3000");
        iniciarServidor();        
    }      
    setTimeout(verificacionSocket, 1500);
}
